Banner Offers
GET/client/users/:correlation_id/banners
Returns all the banners that are available to the user at the time based on province or state.
Note: If the maxResults query parameters is not passed or is not a valid value, then the maximum number of offers returned will be the default set in configuration. If maxResults is set, up to 100 offers can be returned.
Query Parameters
You can add query parameters to provide query information at the end of the request URL and refine your search.
| Parameter | Description | Format | Note |
|---|---|---|---|
| maxResults | Maximum number of results (number) | Number | If the number > 100, then the API returns the first 100 (the maximum number of offers that can be returned. Ex.: /offers?maxResults=105 will return 100 offers; maxResults=5 will return 5 offers. If maxResults is not passed, then the default number of offers set in configuration are returned. |
| locale | Locale of the offer(s) returned in the response | String, values currently supported are: "en-CA", "en-US" and "fr-CA". | Priority order: (1) this query parameter; (2) locale set on the account; (3) environment locale. If locale is not provided or is not a valid value, system default ("en-CA") is used. |
Request
Body
This request does not have a body.
Response
To view the hierarchy, see the sample Response.
| Attribute | Definition | Format | Response |
|---|---|---|---|
| marketing | Marketing elements for the offer | Object | marketing object contains images, alt text, and description |
| banner_image_small | URI for image to be displayed with offer | String | Any string value that is valid per corresponding regex restriction |
| banner_image_smallHD | URI for image to be displayed with offer | String | Any string value that is valid per corresponding regex restriction |
| banner_image_large | URI for image to be displayed with offer | String | Any string value that is valid per corresponding regex restriction |
| banner_image_largeHD | URI for image to be displayed with offer | String | Any string value that is valid per corresponding regex restriction |
| banner_link | URI for link to banner | String | Any string value that is valid per corresponding regex restriction |
| alt_text | Alternative text if image does not render | String | |
| description | Description of the offer | String | |
| offerCode | Primary key that identifies the offer | String | Unique string value |
| rank | Set the ranking priority of the offer | Number: 0-9 | Number, with smaller number being higher rank |
| locale | Locale of the offer(s) returned in the response | String, values currently supported are: "en-CA", "en-US" and "fr-CA"; "EN" and "FR" can be used as well, but only for the member record (on the account level) | Optional. Priority order: (1) this query parameter; (2) locale set on the account; (3) environment locale. If locale is not provided or is not a valid value, system default ("en-CA") is used. |
Error Responses
| statusCode | errorMessage | errorCode | Definition |
|---|---|---|---|
| 400 Bad Request | Invalid business unit(s) provided. | INVALID_BUSINESS_UNIT |
Request
Responses
- 200
- 400
200 - Banner Offer Returned
Response Headers
Date
Example:
Wed, 20 May 2020 23:43:39 GMTContent-Length
Example:
991Connection
Example:
keep-alivex-amzn-RequestId
Example:
132df782-bed6-497c-95c2-341ead42a397Referrer-Policy
Example:
no-referrerX-XSS-Protection
Example:
1;mode=blockAccess-Control-Allow-Origin
Example:
*APPID
Example:
ES-CB-V1MSGID
Example:
2a7d98c9-cbe7-4c6e-a89c-66554095f3c7Expect-CT
Example:
max-age=86400Strict-Transport-Security
Example:
max-age=31536000Feature-Policy
Example:
vibrate 'none'; geolocation 'none'X-Frame-Options
Example:
sameoriginContent-Security-Policy
Example:
connect-src 'none';object-src https://*.cloudfront.net;script-src https://*.cloudfront.netMSGTIMESTAMP
Example:
May 20th 2020, 11:43:38x-amz-apigw-id
Example:
M2sKsGthIAMFoAg=cache-control
Example:
no-cache, no-store, must-revalidateCORRELATIONID
Example:
cd4e126a-f0fa-c00e-f1e3-fc2d319203c7X-Content-Type-Options
Example:
nosniffX-Amzn-Trace-Id
Example:
Root=1-5ec5c0aa-d19c4c04a1c8c773774a6afc;Sampled=0400 - Business Unit Not Valid